Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.transaction.jta
Class WebLogicServerTransactionManagerFactoryBean

    java.lang.Object
      org.springframework.transaction.jta.WebLogicServerTransactionManagerFactoryBean

All Implemented Interfaces:
  FactoryBean

    public class WebLogicServerTransactionManagerFactoryBean

extends Object
implements FactoryBean

`FactoryBean` that retrieves the internal JTA TransactionManager of BEA's WebLogic version 7.0, which is required for proper transaction suspension support on that application server version. This class is not relevant on WebLogic 8.1+!

Uses WebLogic `TxHelper`'s static access methods to obtain the server's internal JTA TransactionManager. This doesn't need be used with WebLogic 8.1 or higher, since the regular JNDI lookup is sufficient there: It returns a JTA TransactionManager that can handle all transaction management tasks properly.

Note that as of Spring 1.2, this class is effectively superseded by `WebLogicJtaTransactionManager`'s autodetection of WebLogic 7.0 or 8.1+. It is only kept as a way to explicitly expose the `TransactionManager` on WebLogic 7.0, for non-Spring code that needs access to this facility.

For typical scenarios, use Spring's `WebLogicJtaTransactionManager` as-is and do not bother with setting up this FactoryBean.

Since:
  1.1
Author:
  Thomas Risberg, Juergen Hoeller
See Also:
  `WebLogicJtaTransactionManager`, `JtaTransactionManager.setTransactionManager(javax.transaction.TransactionManager)`, `weblogic.transaction.TxHelper#getTransactionManager`

Field Summary
`protected Log` | `logger`

Constructor Summary
`WebLogicServerTransactionManagerFactoryBean()` This constructor retrieves the WebLogic TransactionManager factory class, so we can get access to the JTA TransactionManager.

Method Summary
`Object` | `getObject()` Return an instance (possibly shared or independent) of the object managed by this factory.
`Class` | `getObjectType()` Return the type of object that this FactoryBean creates, or `null` if not known in advance.
`boolean` | `isSingleton()` Is the object managed by this factory a singleton?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final Log logger

Constructor Detail

### WebLogicServerTransactionManagerFactoryBean

    public WebLogicServerTransactionManagerFactoryBean()
                                                throws TransactionSystemException

  This constructor retrieves the WebLogic TransactionManager factory class, so we can get access to the JTA TransactionManager.

  Throws:
    `TransactionSystemException`

Method Detail

### getObject

    public Object getObject()

  Description copied from interface: `FactoryBean`
  Return an instance (possibly shared or independent) of the object managed by this factory.

  As with a `BeanFactory`, this allows support for both the Singleton and Prototype design pattern.

  If this FactoryBean is not fully initialized yet at the time of the call (for example because it is involved in a circular reference), throw a corresponding `FactoryBeanNotInitializedException`.

  As of Spring 2.0, FactoryBeans are allowed to return `null` objects. The factory will consider this as normal value to be used; it will not throw a FactoryBeanNotInitializedException in this case anymore. FactoryBean implementations are encouraged to throw FactoryBeanNotInitializedException themselves now, as appropriate.

  Specified by:
    `getObject` in interface `FactoryBean`
  Returns:
    an instance of the bean (can be `null`)
  See Also:
    `FactoryBeanNotInitializedException`

### getObjectType

    public Class getObjectType()

  Description copied from interface: `FactoryBean`
  Return the type of object that this FactoryBean creates, or `null` if not known in advance.

  This allows one to check for specific types of beans without instantiating objects, for example on autowiring.

  In the case of implementations that are creating a singleton object, this method should try to avoid singleton creation as far as possible; it should rather estimate the type in advance. For prototypes, returning a meaningful type here is advisable too.

  This method can be called before this FactoryBean has been fully initialized. It must not rely on state created during initialization; of course, it can still use such state if available.

  NOTE: Autowiring will simply ignore FactoryBeans that return `null` here. Therefore it is highly recommended to implement this method properly, using the current state of the FactoryBean.

  Specified by:
    `getObjectType` in interface `FactoryBean`
  Returns:
    the type of object that this FactoryBean creates, or `null` if not known at the time of the call
  See Also:
    `ListableBeanFactory.getBeansOfType(java.lang.Class)`

### isSingleton

    public boolean isSingleton()

  Description copied from interface: `FactoryBean`
  Is the object managed by this factory a singleton? That is, will `FactoryBean.getObject()` always return the same object (a reference that can be cached)?

  NOTE: If a FactoryBean indicates to hold a singleton object, the object returned from `getObject()` might get cached by the owning BeanFactory. Hence, do not return `true` unless the FactoryBean always exposes the same reference.

  The singleton status of the FactoryBean itself will generally be provided by the owning BeanFactory; usually, it has to be defined as singleton there.

  NOTE: This method returning `false` does not necessarily indicate that returned objects are independent instances. An implementation of the extended `SmartFactoryBean` interface may explicitly indicate independent instances through its `SmartFactoryBean.isPrototype()` method. Plain `FactoryBean` implementations which do not implement this extended interface are simply assumed to always return independent instances if the `isSingleton()` implementation returns `false`.

  Specified by:
    `isSingleton` in interface `FactoryBean`
  Returns:
    whether the exposed object is a singleton
  See Also:
    `FactoryBean.getObject()`, `SmartFactoryBean.isPrototype()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.